net.minecraft.inventory

## Class ContainerRepair

- java.lang.Object
- - net.minecraft.inventory.Container
  - - net.minecraft.inventory.ContainerRepair

-     public class ContainerRepair
      extends Container

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `maximumCost` The maximum cost of repairing/renaming in the anvil.

    - ### Fields inherited from class net.minecraft.inventory.Container

      `inventoryItemStacks, inventorySlots, windowId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerRepair(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5, EntityPlayer par6EntityPlayer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCraftingToCrafters(ICrafting par1ICrafting)`
    `boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
    `void` | `onContainerClosed(EntityPlayer par1EntityPlayer)` Called when the container is closed.
    `void` | `onCraftMatrixChanged(IInventory par1IInventory)` Callback for when the crafting matrix is changed.
    `ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.
    `void` | `updateItemName(String par1Str)` used by the Anvil GUI to update the Item Name being typed by the player
    `void` | `updateProgressBar(int par1, int par2)`
    `void` | `updateRepairOutput()` called when the Anvil Input Slot changes, calculates the new result and puts it in the output slot

    - ### Methods inherited from class net.minecraft.inventory.Container

      `calcRedstoneFromInventory, canDragIntoSlot, detectAndSendChanges, enchantItem, func_94525_a, func_94527_a, func_94528_d, func_94529_b, func_94530_a, func_94532_c, func_94534_d, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maximumCost

          public int maximumCost

      The maximum cost of repairing/renaming in the anvil.

  - ### Constructor Detail

    - #### ContainerRepair

          public ContainerRepair(InventoryPlayer par1InventoryPlayer,
                         World par2World,
                         int par3,
                         int par4,
                         int par5,
                         EntityPlayer par6EntityPlayer)

  - ### Method Detail

    - #### onCraftMatrixChanged

          public void onCraftMatrixChanged(IInventory par1IInventory)

      Callback for when the crafting matrix is changed.
      Overrides:
        `onCraftMatrixChanged` in class `Container`

    - #### updateRepairOutput

          public void updateRepairOutput()

      called when the Anvil Input Slot changes, calculates the new result and puts it in the output slot

    - #### addCraftingToCrafters

          public void addCraftingToCrafters(ICrafting par1ICrafting)

      Overrides:
        `addCraftingToCrafters` in class `Container`

    - #### updateProgressBar

          public void updateProgressBar(int par1,
                               int par2)

      Overrides:
        `updateProgressBar` in class `Container`

    - #### onContainerClosed

          public void onContainerClosed(EntityPlayer par1EntityPlayer)

      Called when the container is closed.
      Overrides:
        `onContainerClosed` in class `Container`

    - #### canInteractWith

          public boolean canInteractWith(EntityPlayer par1EntityPlayer)

      Specified by:
        `canInteractWith` in class `Container`

    - #### transferStackInSlot

          public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                      int par2)

      Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.
      Overrides:
        `transferStackInSlot` in class `Container`

    - #### updateItemName

          public void updateItemName(String par1Str)

      used by the Anvil GUI to update the Item Name being typed by the player